Bug 10893 - openntpd не принимает запросы от ntpdate
: openntpd не принимает запросы от ntpdate
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/openntpd)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-21 12:34 by
Modified: 2007-04-06 16:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-21 12:34:17
настройки:
# cat /etc/ntpd.conf      
# $OpenBSD: ntpd.conf,v 1.7 2004/07/20 17:38:35 henning Exp $
# sample ntpd configuration file, see ntpd.conf(5)

# Addresses to listen on (ntpd does not listen by default)
listen on *
#listen on 127.0.0.1
#listen on ::1

# sync to a single server
#server ntp.example.org

# use a random selection of 8 public stratum 2 servers
# see http://twiki.ntp.org/bin/view/Servers/NTPPoolServers
servers pool.ntp.org
server ntp.ru

# control ntpd       
server

на той же машине:
# ntpdate 10.2.0.5
21 Feb 12:33:24 ntpdate[17622]: the NTP socket is in use, exiting
(всё верно, всё работает).

С соседней машины:
# ntpdate 10.2.0.5
21 Feb 12:33:33 ntpdate[27419]: no server suitable for synchronization found
------- Comment #1 From 2007-02-21 12:36:21 -------
# rpm -q openntpd
openntpd-3.9p1-alt5
------- Comment #2 From 2007-02-21 14:13:30 -------
Reassigned to current maintainer.
------- Comment #3 From 2007-02-21 15:13:37 -------
Кстати, оно заработало, само по себе через некоторое время... 

странно почему не сразу ?
------- Comment #4 From 2007-02-21 15:25:29 -------
(In reply to comment #3)
> Кстати, оно заработало, само по себе через некоторое время... 
> 
> странно почему не сразу ?

птому что:

# service ntpd restart
# ntpdate -d 127.0.0.1
------- Comment #5 From 2007-02-21 15:30:36 -------
Я ничего не понял из предлагаемого:
# ntpdate -d 127.0.0.1
21 Feb 15:30:12 ntpdate[23294]: ntpdate 4.2.2p4@1.1585 Sun Nov 26 13:37:56 UTC
2006 (1)
Looking for host 127.0.0.1 and service ntp
host found : amd64.malta.altlinux.ru
transmit(127.0.0.1)
receive(127.0.0.1)
transmit(127.0.0.1)
receive(127.0.0.1)
transmit(127.0.0.1)
receive(127.0.0.1)
transmit(127.0.0.1)
receive(127.0.0.1)
transmit(127.0.0.1)
127.0.0.1: Server dropped: strata too high
server 127.0.0.1, port 123
stratum 16, precision -19, leap 11, trust 000
refid [127.0.0.1], delay 0.02568, dispersion 0.00000
transmitted 4, in filter 4
reference time:    00000000.00000000  Thu, Feb  7 2036  9:28:16.000
originate timestamp: c986b9d4.2d0397ff  Wed, Feb 21 2007 15:30:12.175
transmit timestamp:  c986b9d4.2cffda40  Wed, Feb 21 2007 15:30:12.175
filter delay:  0.02574  0.02568  0.02568  0.02568 
         0.00000  0.00000  0.00000  0.00000 
filter offset: 0.000050 0.000026 0.000024 0.000023
         0.000000 0.000000 0.000000 0.000000
delay 0.02568, dispersion 0.00000
offset 0.000026

21 Feb 15:30:12 ntpdate[23294]: no server suitable for synchronization found
------- Comment #6 From 2007-02-21 15:35:28 -------
(In reply to comment #5)
> Я ничего не понял из предлагаемого:
> 127.0.0.1: Server dropped: strata too high

Какое слово перевести?

ntp сервер должен поработать какое-то время после запуска, прежде чем с него
можно будет обновляться.  Это фича всех серверов.
------- Comment #8 From 2007-02-21 15:42:22 -------
Raorn всё рассказал.
------- Comment #9 From 2007-04-05 12:45:16 -------
А какое время должен поработать?
У меня уже минут 40 висит ntp сервер и всё что он пишет, так:
192.168.0.3: Server dropped: Leap not in sync

Как это лечить ?
------- Comment #10 From 2007-04-05 12:51:48 -------
(In reply to comment #9)
> А какое время должен поработать?

По моим наблюдениям - час-полтора.
------- Comment #11 From 2007-04-05 13:00:10 -------
Ясно, спасибо.
------- Comment #12 From 2007-04-05 13:49:41 -------
Если он у тебя в контейнере OVZ, то см. #11175